PROGRAM prgMain
  VAR
    NabijecAC : fbEVSEChargerAC;
  END_VAR

{NOCODE}
<?xml version="1.0" encoding="windows-1250" ?>
<?xml-stylesheet type="text/xsl" href="pokus.xsl" version="1.1"?>
<fbd version="1.1">
<comment id="1" height="51" width="61">
  <position x="7" y="4" />
Demo nabjen s C-EV-0302M

Modul umonuje dit nabjen elektromobilu s poadovanm nabjecm proudem, dle nastaven. Pednastaveny jsou 3 reimy

Manuln,HDO, Automatick

Manul - blok ovldan vstupy Start a Stop nabjen,
HDO - stejn jako manuln, ale detekuje stav vstupu HDO_NT
Automat - Po detekci pipojen vozidla je nabjen zahjeno okamit. Pozor! Nejsou aktivn dn vstupy bloku. Ve je zeno strukturou TEVSE.SET.ChargePower

Veker nastaven se mon skrze strukturu TEVSE

TEVSE.SET - Pkazy zen nabjen (pro manuln a automatick reim)

TEVSE.MODE - Pepnn reim nabjeky - vchoz je Automat

TEVSE STATE - Stavy nabjeky 

Propojen s modulem EV je pes IN_OUT strukturu modulu
</comment>
<inVariable name="EV_In" type="TCIB_C_EV_0302M_IN" id="2">
  <position x="83" y="58" />
</inVariable>
<inVariable name="EV_Out" type="TCIB_C_EV_0302M_OUT" id="3">
  <position x="82" y="60" />
</inVariable>
<block name="fbEVSEChargerAC" instance="NabijecAC" id="4" height="26" width="15" line="3" order="1">
  <position x="95" y="38" />
  <inVariables>
    <variable name="Start" type="BOOL R_EDGE">
    <comment>Zatek nabjen vstup</comment>
    </variable>
    <variable name="WebStart" type="BOOL R_EDGE">
    <comment>Zatek nabjen web tlatko</comment>
    </variable>
    <variable name="Stop" type="BOOL R_EDGE">
    <comment>Konec nabjen vstup</comment>
    </variable>
    <variable name="WebStop" type="BOOL R_EDGE">
    <comment>Konec nabjen web tlatko</comment>
    </variable>
    <variable name="StartStopWeb" type="BOOL R_EDGE">
    <comment>Zatek nebo konec nabjen web tlatko</comment>
    </variable>
    <variable name="Up" type="BOOL R_EDGE">
    <comment>Pidat nabjec proud</comment>
    </variable>
    <variable name="Dw" type="BOOL R_EDGE">
    <comment>Snit nabjec proud</comment>
    </variable>
    <variable name="ConnectLock" type="BOOL">
    <comment>Vstup - konektor je zamen</comment>
    </variable>
    <variable name="HDO_NT" type="BOOL">
    <comment>Vstup - Nzk tarif HDO</comment>
    </variable>
  </inVariables>
  <outVariables>
    <variable name="Connect" type="BOOL">
    <comment>Auto je pipojen</comment>
    </variable>
    <variable name="Charge" type="BOOL">
    <comment>Nabjen probh</comment>
    </variable>
    <variable name="Lock" type="BOOL">
    <comment>Zamt konektor</comment>
    </variable>
    <variable name="OutPower" type="REAL">
    <comment>Vstupn nabjec proud</comment>
    </variable>
    <variable name="State" type="SINT">
    <comment>Stav auta</comment>
    </variable>
    <variable name="StateTxt" type="STRING[80]">
    <comment>Textov interpertace stavu auta</comment>
    </variable>
    <variable name="Err" type="BOOL">
    <comment>Porucha nabjen</comment>
    </variable>
    <variable name="ErrTxt" type="STRING[80]">
    <comment>Text poruchy nabjen</comment>
    </variable>
  </outVariables>
  <inOutVariables>
    <variable name="EV_IN" type="TEV_0302M_IN">
      <connection refid="2">
        <position x="95" y="59" />
        <position x="91" y="59" />
        <position x="91" y="59" />
        <position x="88" y="59" />
      </connection>
    </variable>
    <variable name="EV_OUT" type="TEV_0302M_OUT">
      <connection refid="3">
        <position x="95" y="61" />
        <position x="91" y="61" />
        <position x="91" y="61" />
        <position x="88" y="61" />
      </connection>
    </variable>
    <variable name="EVSE" type="TEVSE">
      <connection refid="7">
        <position x="95" y="63" />
        <position x="91" y="63" />
        <position x="91" y="63" />
        <position x="88" y="63" />
      </connection>
    </variable>
  </inOutVariables>
</block>
<inVariable name="EVSEData" type="TEVSE" id="7">
  <position x="80" y="62" />
</inVariable>
</fbd>
{/NOCODE}
//LVD
VAR
END_VAR

//TVD
VAR_TEMP
END_VAR

//NC
//N000
(*  32	*)	CAL	NabijecAC(EV_IN:=void(EV_In), EV_OUT:=void(EV_Out), EVSE:=void(EVSEData))

END_PROGRAM
